lkml.org 
[lkml]   [2015]   [Apr]   [12]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
SubjectRe: [PATCH] crypto: arm: workaround for building with old binutils
From
On 11 April 2015 at 22:54, Arnd Bergmann <arnd@arndb.de> wrote:
> On Saturday 11 April 2015 15:32:34 Ard Biesheuvel wrote:
>> From: Arnd Bergmann <arnd@arndb.de>
>>
>> How about something like this:
>>
>> A warning will be emitted by make when descending into the arch/arm/crypto
>> directory, but only if any ARMv8 Crypto modules were in fact selected.
>>
>> /home/ard/linux-2.6/arch/arm/crypto/Makefile:22: These ARMv8 Crypto Extensions modules need binutils 2.23 or higher
>> /home/ard/linux-2.6/arch/arm/crypto/Makefile:23: aes-arm-ce.o sha1-arm-ce.o sha2-arm-ce.o ghash-arm-ce.o
>>
>>
>
> Looks good. Do you want me to do more randconfig tests on this, or put it in
> right away to fix the allmodconfig problem?
>

It would be good to have confirmation that it fixes the actual
symptom, so yes, more testing please.
But I think the patch itself needs to go via Herbert's tree


\
 
 \ /
  Last update: 2015-04-12 12:01    [W:0.057 / U:1.440 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site